//  Persistence of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 1 lights, 7 materials and 1462 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.3a For Windows Copyright (c) 1993-2001 Lutz + Kretzschmar
//

//  Date : 02/10/2002    (10.02.2002)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <    -12.130,     -22.585,       9.187>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.43873,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         75.93624    // Vertical      56.952
  look_at   <      3.551,       0.001,       8.329>
}

//
// *******  L I G H T S *******
//

light_source {   // Light1
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  translate  <0.0, -20.0, 20.0>
}


//
// ********  MATERIALS  *******
//

#include "000005h.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

#declare Group_lgM7 = union {
  sphere { // sphere_417
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_457
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_017
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_018
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_057
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_458
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_058
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_418
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1217
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1257
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1258
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8563
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8563
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8563
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1218
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8563
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, -0.457975>
}
#declare Group_lgM6 = union {
  sphere { // sphere_415
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_455
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_015
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_016
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_055
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_456
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_056
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_416
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1215
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1255
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1256
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8562
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8562
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8562
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1216
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8562
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, -0.457975>
}
#declare Group_lgM3 = union {
  sphere { // sphere_413
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_453
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_013
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_014
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_053
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_454
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_054
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_414
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1213
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1253
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1254
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8561
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8561
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8561
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1214
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8561
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, 3.54207>
}
#declare Group_lgM2 = union {
  sphere { // sphere_411
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_451
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_011
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_012
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_051
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_452
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_052
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_412
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1211
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1251
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1252
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8560
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8560
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8560
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1212
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8560
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, 3.54207>
}
#declare Group_lgM8 = union {
  sphere { // sphere_409
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_449
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_009
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_010
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_049
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_450
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_050
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_410
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1209
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1249
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1250
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8559
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8559
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8559
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1210
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8559
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, -0.457975>
}
#declare Group_lgM4 = union {
  sphere { // sphere_405
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_448
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_005
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_008
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_045
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_445
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_048
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_408
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1205
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1248
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1245
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8558
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8558
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8558
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1208
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8558
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, 3.54207>
}
#declare Group_lgM1 = union {
  sphere { // sphere_403
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_447
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_003
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_007
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_043
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_443
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_047
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_407
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1203
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1247
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1243
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8557
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8557
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8557
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1207
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8557
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, 3.542068>
}
#declare Group_lgM5 = union {
  sphere { // sphere_402
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_446
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_002
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_006
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_042
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_442
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_046
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_406
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1202
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1246
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1242
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8556
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8556
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8556
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1206
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8556
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, -0.457975>
}
#declare Group_filter_lg = union {
  sphere { // sphere_400
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*x
  }
  sphere { // sphere_444
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_000
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
  }
  sphere { // sphere_004
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*z
  }
  sphere { // sphere_040
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*y
  }
  sphere { // sphere_440
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_044
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_404
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1200
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1244
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1240
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8554
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8554
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8554
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1204
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8554
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
}
#declare J9_cubes_grp = union {
  object { Group_lgM7 }
  object { Group_lgM6 }
  object { Group_lgM3 }
  object { Group_lgM2 }
  object { Group_lgM8 }
  object { Group_lgM4 }
  object { Group_lgM1 }
  object { Group_lgM5 }
  object { Group_filter_lg }
}
#declare sphere_and_9M1 = union {
  sphere { // sphered9
    <0,0,0>,1
    material {
      Aluminum_see_thru_more
    }
    scale 4.5
    translate  <2.0, 2.0, 2.0>
  }
  object { J9_cubes_grp }
}
#declare Group_lgM9 = union {
  sphere { // sphere_419
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_459
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_019
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_020
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_059
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_460
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_060
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_420
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1219
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1259
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1260
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8564
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8564
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8564
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1220
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8564
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, -0.457975>
}
#declare Group_lgM10 = union {
  sphere { // sphere_421
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_461
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_021
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_022
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_061
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_462
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_062
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_422
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1221
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1261
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1262
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8565
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8565
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8565
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1222
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8565
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, -0.457975>
}
#declare Group_lgM11 = union {
  sphere { // sphere_423
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_463
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_023
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_024
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_063
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_464
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_064
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_424
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1223
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1263
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1264
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8566
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8566
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8566
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1224
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8566
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, 3.54207>
}
#declare Group_lgM12 = union {
  sphere { // sphere_425
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_465
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_025
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_026
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_065
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_466
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_066
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_426
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1225
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1265
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1266
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8567
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8567
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8567
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1226
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8567
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, 3.54207>
}
#declare Group_lgM13 = union {
  sphere { // sphere_427
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_467
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_027
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_028
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_067
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_468
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_068
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_428
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1227
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1267
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1268
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8568
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8568
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8568
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1228
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8568
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, -0.457975>
}
#declare Group_lgM14 = union {
  sphere { // sphere_429
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_469
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_029
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_030
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_069
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_470
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_070
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_430
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1229
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1269
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1270
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8569
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8569
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8569
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1230
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8569
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, 3.54207>
}
#declare Group_lgM15 = union {
  sphere { // sphere_431
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_471
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_031
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_032
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_071
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_472
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_072
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_432
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1231
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1271
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1272
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8570
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8570
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8570
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1232
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8570
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, 3.542068>
}
#declare Group_lgM16 = union {
  sphere { // sphere_433
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_473
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_033
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_034
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_073
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_474
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_074
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_434
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1233
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1273
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1274
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8571
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8571
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8571
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1234
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8571
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, -0.457975>
}
#declare Group_filter_lg1 = union {
  sphere { // sphere_401
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*x
  }
  sphere { // sphere_475
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_001
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
  }
  sphere { // sphere_035
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*z
  }
  sphere { // sphere_041
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*y
  }
  sphere { // sphere_441
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_075
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_435
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1201
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1275
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1241
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8555
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8555
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8555
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1235
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8555
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
}
#declare J9_cubes_grp1 = union {
  object { Group_lgM9 }
  object { Group_lgM10 }
  object { Group_lgM11 }
  object { Group_lgM12 }
  object { Group_lgM13 }
  object { Group_lgM14 }
  object { Group_lgM15 }
  object { Group_lgM16 }
  object { Group_filter_lg1 }
}
#declare sphere_and_9M2 = union {
  sphere { // sphered10
    <0,0,0>,1
    material {
      Aluminum_see_thru_more
    }
    scale 4.5
    translate  <2.0, 2.0, 2.0>
  }
  object { J9_cubes_grp1 }
  translate  12.0*y
}
#declare Group_lgM57 = union {
  sphere { // sphere_652
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_653
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_252
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_253
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_254
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_654
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_255
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_655
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1452
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1453
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1454
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8617
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8617
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8617
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1455
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8617
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, -0.457975>
}
#declare Group_lgM58 = union {
  sphere { // sphere_656
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_657
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_256
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_257
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_258
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_658
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_259
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_659
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1456
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1457
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1458
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8618
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8618
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8618
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1459
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8618
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, -0.457975>
}
#declare Group_lgM59 = union {
  sphere { // sphere_660
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_661
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_260
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_261
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_262
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_662
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_263
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_663
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1461
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1462
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8619
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8619
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8619
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1463
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8619
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, 3.54207>
}
#declare Group_lgM60 = union {
  sphere { // sphere_664
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_665
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_264
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_265
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_266
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_666
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_267
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_667
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1465
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1466
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8620
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8620
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8620
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1467
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8620
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, 3.54207>
}
#declare Group_lgM61 = union {
  sphere { // sphere_668
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_669
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_268
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_269
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_270
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_670
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_271
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_671
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1468
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1469
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1470
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8621
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8621
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8621
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1471
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8621
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, -0.457975>
}
#declare Group_lgM62 = union {
  sphere { // sphere_672
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_673
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_272
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_273
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_274
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_674
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_275
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_675
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1472
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1473
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1474
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8622
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8622
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8622
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1475
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8622
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, 3.54207>
}
#declare Group_lgM63 = union {
  sphere { // sphere_676
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_677
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_276
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_277
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_278
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_678
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_279
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_679
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1476
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1477
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1478
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8623
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8623
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8623
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1479
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8623
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, 3.542068>
}
#declare Group_lgM64 = union {
  sphere { // sphere_680
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_681
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_280
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_281
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_282
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_682
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_283
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_683
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1480
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1481
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1482
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8624
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8624
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8624
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1483
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8624
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, -0.457975>
}
#declare Group_filter_lg7 = union {
  sphere { // sphere_684
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*x
  }
  sphere { // sphere_685
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_284
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
  }
  sphere { // sphere_285
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*z
  }
  sphere { // sphere_286
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*y
  }
  sphere { // sphere_686
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_287
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_687
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1484
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1485
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1486
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8625
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8625
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8625
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1487
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8625
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
}
#declare J9_cubes_grp7 = union {
  object { Group_lgM57 }
  object { Group_lgM58 }
  object { Group_lgM59 }
  object { Group_lgM60 }
  object { Group_lgM61 }
  object { Group_lgM62 }
  object { Group_lgM63 }
  object { Group_lgM64 }
  object { Group_filter_lg7 }
}
#declare sphere_and_9M8 = union {
  sphere { // sphered16
    <0,0,0>,1
    material {
      Aluminum_see_thru_more
    }
    scale 4.5
    translate  <2.0, 2.0, 2.0>
  }
  object { J9_cubes_grp7 }
  translate  <12.0, 0.0, 12.0>
}
#declare Group_lgM49 = union {
  sphere { // sphere_616
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_617
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_216
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_217
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_218
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_618
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_219
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_619
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1416
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1417
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1418
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8608
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8608
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8608
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1419
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8608
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, -0.457975>
}
#declare Group_lgM50 = union {
  sphere { // sphere_620
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_621
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_220
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_221
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_222
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_622
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_223
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_623
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1420
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1421
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1422
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8609
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8609
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8609
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1423
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8609
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, -0.457975>
}
#declare Group_lgM51 = union {
  sphere { // sphere_624
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_625
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_224
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_225
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_226
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_626
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_227
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_627
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1424
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1425
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1426
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8610
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8610
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8610
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1427
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8610
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, 3.54207>
}
#declare Group_lgM52 = union {
  sphere { // sphere_628
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_629
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_228
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_229
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_230
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_630
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_231
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_631
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1428
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1429
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1430
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8611
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8611
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8611
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1431
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8611
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, 3.54207>
}
#declare Group_lgM53 = union {
  sphere { // sphere_632
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_633
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_232
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_233
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_234
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_634
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_235
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_635
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1432
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1433
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1434
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8612
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8612
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8612
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1435
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8612
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, -0.457975>
}
#declare Group_lgM54 = union {
  sphere { // sphere_636
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_637
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_236
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_237
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_238
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_638
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_239
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_639
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1436
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1437
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1438
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8613
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8613
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8613
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1439
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8613
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, 3.54207>
}
#declare Group_lgM55 = union {
  sphere { // sphere_640
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_641
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_240
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_241
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_242
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_642
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_243
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_643
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1440
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1441
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1442
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8614
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8614
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8614
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1443
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8614
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, 3.542068>
}
#declare Group_lgM56 = union {
  sphere { // sphere_644
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_645
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_244
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_245
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_246
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_646
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_247
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_647
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1444
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1445
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1446
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8615
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8615
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8615
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1447
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8615
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, -0.457975>
}
#declare Group_filter_lg6 = union {
  sphere { // sphere_648
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*x
  }
  sphere { // sphere_649
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_248
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
  }
  sphere { // sphere_249
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*z
  }
  sphere { // sphere_250
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*y
  }
  sphere { // sphere_650
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_251
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_651
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1448
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1449
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1450
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8616
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8616
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8616
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1451
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8616
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
}
#declare J9_cubes_grp6 = union {
  object { Group_lgM49 }
  object { Group_lgM50 }
  object { Group_lgM51 }
  object { Group_lgM52 }
  object { Group_lgM53 }
  object { Group_lgM54 }
  object { Group_lgM55 }
  object { Group_lgM56 }
  object { Group_filter_lg6 }
}
#declare sphere_and_9M7 = union {
  sphere { // sphered15
    <0,0,0>,1
    material {
      Aluminum_see_thru_more
    }
    scale 4.5
    translate  <2.0, 2.0, 2.0>
  }
  object { J9_cubes_grp6 }
  translate  <12.0, 12.0, 12.0>
}
#declare Group_lgM41 = union {
  sphere { // sphere_580
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_581
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_180
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_181
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_182
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_582
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_183
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_583
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1380
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1381
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1382
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8599
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8599
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8599
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1383
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8599
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, -0.457975>
}
#declare Group_lgM42 = union {
  sphere { // sphere_584
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_585
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_184
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_185
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_186
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_586
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_187
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_587
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1384
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1385
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1386
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8600
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8600
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8600
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1387
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8600
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, -0.457975>
}
#declare Group_lgM43 = union {
  sphere { // sphere_588
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_589
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_188
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_189
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_190
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_590
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_191
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_591
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1388
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1389
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1390
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8601
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8601
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8601
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1391
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8601
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, 3.54207>
}
#declare Group_lgM44 = union {
  sphere { // sphere_592
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_593
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_192
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_193
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_194
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_594
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_195
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_595
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1392
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1393
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1394
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8602
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8602
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8602
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1395
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8602
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, 3.54207>
}
#declare Group_lgM45 = union {
  sphere { // sphere_596
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_597
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_196
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_197
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_198
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_598
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_199
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_599
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1396
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1397
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1398
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8603
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8603
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8603
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1399
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8603
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, -0.457975>
}
#declare Group_lgM46 = union {
  sphere { // sphere_600
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_601
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_200
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_201
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_202
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_602
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_203
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_603
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1400
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1401
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1402
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8604
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8604
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8604
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1403
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8604
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, 3.54207>
}
#declare Group_lgM47 = union {
  sphere { // sphere_604
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_605
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_204
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_205
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_206
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_606
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_207
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_607
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1404
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1405
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1406
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8605
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8605
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8605
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1407
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8605
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, 3.542068>
}
#declare Group_lgM48 = union {
  sphere { // sphere_608
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_609
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_208
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_209
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_210
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_610
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_211
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_611
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1408
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1409
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1410
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8606
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8606
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8606
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1411
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8606
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, -0.457975>
}
#declare Group_filter_lg5 = union {
  sphere { // sphere_612
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*x
  }
  sphere { // sphere_613
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_212
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
  }
  sphere { // sphere_213
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*z
  }
  sphere { // sphere_214
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*y
  }
  sphere { // sphere_614
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_215
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_615
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1412
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1413
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1414
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8607
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8607
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8607
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1415
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8607
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
}
#declare J9_cubes_grp5 = union {
  object { Group_lgM41 }
  object { Group_lgM42 }
  object { Group_lgM43 }
  object { Group_lgM44 }
  object { Group_lgM45 }
  object { Group_lgM46 }
  object { Group_lgM47 }
  object { Group_lgM48 }
  object { Group_filter_lg5 }
}
#declare sphere_and_9M6 = union {
  sphere { // sphered14
    <0,0,0>,1
    material {
      Aluminum_see_thru_more
    }
    scale 4.5
    translate  <2.0, 2.0, 2.0>
  }
  object { J9_cubes_grp5 }
  translate  <0.0, 12.0, 12.0>
}
#declare Group_lgM33 = union {
  sphere { // sphere_544
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_545
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_144
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_145
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_146
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_546
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_147
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_547
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1344
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1345
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1346
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8590
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8590
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8590
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1347
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8590
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, -0.457975>
}
#declare Group_lgM34 = union {
  sphere { // sphere_548
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_549
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_148
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_149
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_150
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_550
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_151
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_551
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1348
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1349
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1350
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8591
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8591
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8591
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1351
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8591
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, -0.457975>
}
#declare Group_lgM35 = union {
  sphere { // sphere_552
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_553
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_152
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_153
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_154
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_554
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_155
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_555
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1352
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1353
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1354
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8592
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8592
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8592
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1355
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8592
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, 3.54207>
}
#declare Group_lgM36 = union {
  sphere { // sphere_556
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_557
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_156
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_157
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_158
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_558
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_159
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_559
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1356
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1357
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1358
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8593
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8593
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8593
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1359
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8593
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, 3.54207>
}
#declare Group_lgM37 = union {
  sphere { // sphere_560
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_561
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_160
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_161
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_162
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_562
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_163
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_563
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1360
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1361
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1362
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8594
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8594
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8594
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1363
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8594
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, -0.457975>
}
#declare Group_lgM38 = union {
  sphere { // sphere_564
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_565
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_164
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_165
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_166
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_566
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_167
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_567
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1364
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1365
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1366
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8595
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8595
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8595
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1367
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8595
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, 3.54207>
}
#declare Group_lgM39 = union {
  sphere { // sphere_568
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_569
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_168
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_169
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_170
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_570
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_171
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_571
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1368
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1369
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1370
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8596
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8596
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8596
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1371
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8596
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, 3.542068>
}
#declare Group_lgM40 = union {
  sphere { // sphere_572
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_573
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_172
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_173
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_174
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_574
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_175
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_575
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1372
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1373
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1374
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8597
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8597
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8597
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1375
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8597
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, -0.457975>
}
#declare Group_filter_lg4 = union {
  sphere { // sphere_576
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*x
  }
  sphere { // sphere_577
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_176
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
  }
  sphere { // sphere_177
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*z
  }
  sphere { // sphere_178
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*y
  }
  sphere { // sphere_578
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_179
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_579
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1376
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1377
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1378
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8598
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8598
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8598
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1379
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8598
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
}
#declare J9_cubes_grp4 = union {
  object { Group_lgM33 }
  object { Group_lgM34 }
  object { Group_lgM35 }
  object { Group_lgM36 }
  object { Group_lgM37 }
  object { Group_lgM38 }
  object { Group_lgM39 }
  object { Group_lgM40 }
  object { Group_filter_lg4 }
}
#declare sphere_and_9M5 = union {
  sphere { // sphered13
    <0,0,0>,1
    material {
      Aluminum_see_thru_more
    }
    scale 4.5
    translate  <2.0, 2.0, 2.0>
  }
  object { J9_cubes_grp4 }
  translate  12.0*z
}
#declare Group_lgM25 = union {
  sphere { // sphere_508
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_509
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_108
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_109
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_110
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_510
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_111
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_511
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1308
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1309
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1310
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8581
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8581
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8581
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1311
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8581
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, -0.457975>
}
#declare Group_lgM26 = union {
  sphere { // sphere_512
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_513
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_112
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_113
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_114
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_514
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_115
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_515
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1312
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1313
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1314
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8582
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8582
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8582
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1315
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8582
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, -0.457975>
}
#declare Group_lgM27 = union {
  sphere { // sphere_516
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_517
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_116
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_117
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_118
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_518
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_119
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_519
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1316
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1317
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1318
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8583
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8583
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8583
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1319
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8583
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, 3.54207>
}
#declare Group_lgM28 = union {
  sphere { // sphere_520
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_521
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_120
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_121
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_122
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_522
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_123
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_523
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1320
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1321
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1322
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8584
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8584
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8584
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1323
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8584
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, 3.54207>
}
#declare Group_lgM29 = union {
  sphere { // sphere_524
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_525
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_124
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_125
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_126
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_526
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_127
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_527
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1324
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1325
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1326
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8585
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8585
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8585
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1327
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8585
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, -0.457975>
}
#declare Group_lgM30 = union {
  sphere { // sphere_528
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_529
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_128
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_129
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_130
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_530
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_131
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_531
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1328
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1329
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1330
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8586
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8586
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8586
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1331
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8586
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, 3.54207>
}
#declare Group_lgM31 = union {
  sphere { // sphere_532
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_533
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_132
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_133
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_134
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_534
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_135
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_535
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1332
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1333
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1334
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8587
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8587
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8587
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1335
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8587
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, 3.542068>
}
#declare Group_lgM32 = union {
  sphere { // sphere_536
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_537
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_136
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_137
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_138
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_538
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_139
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_539
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1336
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1337
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1338
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8588
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8588
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8588
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1339
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8588
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, -0.457975>
}
#declare Group_filter_lg3 = union {
  sphere { // sphere_540
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*x
  }
  sphere { // sphere_541
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_140
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
  }
  sphere { // sphere_141
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*z
  }
  sphere { // sphere_142
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*y
  }
  sphere { // sphere_542
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_143
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_543
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1340
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1341
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1342
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8589
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8589
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8589
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1343
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8589
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
}
#declare J9_cubes_grp3 = union {
  object { Group_lgM25 }
  object { Group_lgM26 }
  object { Group_lgM27 }
  object { Group_lgM28 }
  object { Group_lgM29 }
  object { Group_lgM30 }
  object { Group_lgM31 }
  object { Group_lgM32 }
  object { Group_filter_lg3 }
}
#declare sphere_and_9M4 = union {
  sphere { // sphered12
    <0,0,0>,1
    material {
      Aluminum_see_thru_more
    }
    scale 4.5
    translate  <2.0, 2.0, 2.0>
  }
  object { J9_cubes_grp3 }
  translate  <12.0, 12.0, 0.0>
}
#declare Group_lgM17 = union {
  sphere { // sphere_436
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_476
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_036
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_037
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_076
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_477
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_077
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_437
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1236
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1276
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1277
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8572
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8572
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8572
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1237
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8572
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, -0.457975>
}
#declare Group_lgM18 = union {
  sphere { // sphere_438
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_478
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_038
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_039
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_078
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_479
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_079
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_439
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1238
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1278
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1279
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8573
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8573
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8573
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1239
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8573
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, -0.457975>
}
#declare Group_lgM19 = union {
  sphere { // sphere_480
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_481
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_080
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_081
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_082
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_482
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_083
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_483
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1280
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1281
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1282
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8574
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8574
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8574
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1283
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8574
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, -0.45798, 3.54207>
}
#declare Group_lgM20 = union {
  sphere { // sphere_484
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_485
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_084
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_085
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_086
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_486
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_087
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_487
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1284
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1285
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1286
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8575
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8575
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8575
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1287
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8575
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <3.54207, 3.54207, 3.54207>
}
#declare Group_lgM21 = union {
  sphere { // sphere_488
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_489
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_088
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_089
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_090
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_490
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_091
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_491
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1288
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1289
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1290
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8576
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8576
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8576
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1291
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8576
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, -0.457975>
}
#declare Group_lgM22 = union {
  sphere { // sphere_492
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_493
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_092
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_093
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_094
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_494
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_095
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_495
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1292
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1293
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1294
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8577
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8577
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8577
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1295
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8577
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, -0.45798, 3.54207>
}
#declare Group_lgM23 = union {
  sphere { // sphere_496
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_497
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_096
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_097
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_098
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_498
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_099
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_499
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1296
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1297
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1298
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8578
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8578
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8578
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1299
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8578
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, 3.542068>
}
#declare Group_lgM24 = union {
  sphere { // sphere_500
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*x
  }
  sphere { // sphere_501
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_100
    <0,0,0>,1
    material {
      Aluminum
    }
  }
  sphere { // sphere_101
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*z
  }
  sphere { // sphere_102
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  4.0*y
  }
  sphere { // sphere_502
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_103
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_503
    <0,0,0>,1
    material {
      Aluminum
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1300
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1301
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1302
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8579
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8579
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8579
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1303
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8579
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
  scale 0.228165
  translate  <-0.45798, 3.54207, -0.457975>
}
#declare Group_filter_lg2 = union {
  sphere { // sphere_504
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*x
  }
  sphere { // sphere_505
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 4.0>
  }
  sphere { // sphere_104
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
  }
  sphere { // sphere_105
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*z
  }
  sphere { // sphere_106
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  4.0*y
  }
  sphere { // sphere_506
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 4.0, 0.0>
  }
  sphere { // sphere_107
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <0.0, 4.0, 4.0>
  }
  sphere { // sphere_507
    <0,0,0>,1
    material {
      Aluminum_see_thru
    }
    translate  <4.0, 0.0, 4.0>
  }
  cylinder { // cylinder_3d1304
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  3.12*x
  }
  cylinder { // cylinder_3d1305
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 4.0>
  }
  cylinder { // cylinder_3d1306
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 4.0, 0.0>
  }
  cylinder { // cylinder_4d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.877456, 0.0>
  }
  cylinder { // cylinder_4d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <4.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_40d8580
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 0.0, 0.855402>
  }
  cylinder { // cylinder_00d8580
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  0.8554*z
  }
  cylinder { // cylinder_44d8580
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <4.0, 4.0, 0.8554>
  }
  cylinder { // cylinder_3d1307
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate -90.0*y
    translate  <3.12, 0.0, 4.0>
  }
  cylinder { // cylinder_0d877460
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  0.87746*y
  }
  cylinder { // cylinder_0d877464
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    rotate <-90.0, -90.0, 0.0>
    translate  <0.0, 0.87746, 4.0>
  }
  cylinder { // cylinder_04d8580
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru
    }
    scale <0.5, 0.5, 2.25>
    translate  <0.0, 4.0, 0.8554>
  }
}
#declare J9_cubes_grp2 = union {
  object { Group_lgM17 }
  object { Group_lgM18 }
  object { Group_lgM19 }
  object { Group_lgM20 }
  object { Group_lgM21 }
  object { Group_lgM22 }
  object { Group_lgM23 }
  object { Group_lgM24 }
  object { Group_filter_lg2 }
}
#declare sphere_and_9M3 = union {
  sphere { // sphered11
    <0,0,0>,1
    material {
      Aluminum_see_thru_more
    }
    scale 4.5
    translate  <2.0, 2.0, 2.0>
  }
  object { J9_cubes_grp2 }
  translate  12.0*x
}
union { // gigantic_group
  sphere { // Sphere001
    <0,0,0>,1
    material {
      Aluminum_see_thru_more_1
    }
    scale 17.5
    translate  <8.0, 8.0, 8.0>
  }
  cylinder { // cylinderd9M6
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru_more
    }
    scale <2.25, 2.25, 4.5>
    rotate -90.0*y
    translate  <10.25, 2.0, 14.0>
  }
  cylinder { // cylinderd9M7
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru_more
    }
    scale <2.25, 2.25, 4.5>
    rotate -90.0*y
    translate  <10.25, 2.0, 2.0>
  }
  cylinder { // cylinderd9M8
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru_more
    }
    scale <2.25, 2.25, 4.5>
    rotate -90.0*y
    translate  <10.25, 14.0, 2.0>
  }
  cylinder { // cylinderd9M9
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru_more
    }
    scale <2.25, 2.25, 4.5>
    rotate <-90.0, -90.0, 0.0>
    translate  <14.0, 5.75, 2.0>
  }
  cylinder { // cylinderd9M10
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru_more
    }
    scale <2.25, 2.25, 4.5>
    rotate <-90.0, -90.0, 0.0>
    translate  <2.0, 5.75, 2.0>
  }
  cylinder { // cylinderd9M11
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru_more
    }
    scale <2.25, 2.25, 4.5>
    rotate <-90.0, -90.0, 0.0>
    translate  <2.0, 5.75, 14.0>
  }
  cylinder { // cylinderd9M1
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru_more
    }
    scale <2.25, 2.25, 4.5>
    translate  <2.0, 2.0, 5.75>
  }
  cylinder { // cylinderd9M2
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru_more
    }
    scale <2.25, 2.25, 4.5>
    translate  <14.0, 2.0, 5.75>
  }
  cylinder { // cylinderd9M3
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru_more
    }
    scale <2.25, 2.25, 4.5>
    translate  <14.0, 14.0, 5.75>
  }
  cylinder { // cylinderd9M4
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru_more
    }
    scale <2.25, 2.25, 4.5>
    translate  <2.0, 14.0, 5.75>
  }
  cylinder { // cylinderd9M5
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru_more
    }
    scale <2.25, 2.25, 4.5>
    rotate -90.0*y
    translate  <10.25, 14.0, 14.0>
  }
  cylinder { // cylinderd9M12
    <0,0,1>, <0,0,0>, 1 
    material {
      Chrome1_see_thru_more
    }
    scale <2.25, 2.25, 4.5>
    rotate <-90.0, -90.0, 0.0>
    translate  <14.0, 5.75, 14.0>
  }
  object { sphere_and_9M1 }
  object { sphere_and_9M2 }
  object { sphere_and_9M8 }
  object { sphere_and_9M7 }
  object { sphere_and_9M6 }
  object { sphere_and_9M5 }
  object { sphere_and_9M4 }
  object { sphere_and_9M3 }
}




